Represents an [[AsyncIterable]] with a navigable hierarchy.

### Type parameters

- TNode
- T: TNode

### Hierarchy

- AsyncIterable<T>
- Hierarchical<TNode>
  - AsyncHierarchyIterable
    - AsyncOrderedHierarchyIterable

### Implemented by

- AsyncBottomMostIterable
- AsyncFromSyncHierarchyIterable
- AsyncHierarchyIterableImpl
- AsyncHierarchyQuery
- AsyncOrderedHierarchyIterableImpl
- AsyncOrderedHierarchyQuery
- AsyncTopMostIterable

## Index

### Methods

- [Hierarchical.hierarchy]
- [Symbol.asyncIterator]

## Methods

### [Hierarchical.hierarchy]

- [Hierarchical.hierarchy](): HierarchyProvider<TNode>

- Inherited from Hierarchical.[Hierarchical.hierarchy]

  - Defined in types.ts:57

  Gets an object that provides hierarchical relationships.

  #### Returns HierarchyProvider<TNode>

### [Symbol.asyncIterator]

- [Symbol.asyncIterator](): AsyncIterator<T>

- Inherited from AsyncIterable.[Symbol.asyncIterator]

  - Defined in C:/dev/iterable-query/node_modules/typescript/lib/lib.es2018.asynciterable.d.ts:39

  #### Returns AsyncIterator<T>

Generated using TypeDoc